## telescope 0.1-0

=== DESCRIPTION ===
Package: telescope
Version: 0.1-0
Encoding: UTF-8
Title: Bayesian Mixtures with an Unknown Number of Components
Authors@R: c(person("Gertraud", "Malsiner-Walli", role = c("aut", "cre"),
                    email = "Gertraud.Malsiner-Walli@wu.ac.at",
		    comment = c(ORCID = "0000-0002-1213-4749")),
             person("Bettina", "Grün", role = "aut",
	            comment = c(ORCID = "0000-0001-7265-4773")),
             person("Sylvia", "Frühwirth-Schnatter", role = "aut",
	            comment = c(ORCID = "0000-0003-0516-5552")))
Description: Fits Bayesian finite mixtures with an unknown number of components using the telescoping sampler and different component distributions. For more details see Frühwirth-Schnatter et al. (2021) <doi:10.1214/21-BA1294>.
Depends: R (>= 4.0.0)
Imports: abind, bayesm, DirichletReg, extraDistr, graphics, grDevices,
        MCMCpack, methods, mvtnorm, stats
VignetteBuilder: knitr, rmarkdown
Suggests: klaR, knitr, mclust, poLCA, rmarkdown
License: GPL-2
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-10 19:11:46 UTC; gruen
Author: Gertraud Malsiner-Walli [aut, cre]
    (<https://orcid.org/0000-0002-1213-4749>),
  Bettina Grün [aut] (<https://orcid.org/0000-0001-7265-4773>),
  Sylvia Frühwirth-Schnatter [aut]
    (<https://orcid.org/0000-0003-0516-5552>)
Maintainer: Gertraud Malsiner-Walli <Gertraud.Malsiner-Walli@wu.ac.at>
Repository: CRAN
Date/Publication: 2024-06-15 09:00:02 UTC

## telescope 0.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: telescope
-Version: 0.1-0
+Version: 0.2-0
 Encoding: UTF-8
 Title: Bayesian Mixtures with an Unknown Number of Components
 Authors@R: c(person("Gertraud", "Malsiner-Walli", role = c("aut", "cre"),
@@ -14,11 +14,11 @@
 Imports: abind, bayesm, DirichletReg, extraDistr, graphics, grDevices,
         MCMCpack, methods, mvtnorm, stats
 VignetteBuilder: knitr, rmarkdown
-Suggests: klaR, knitr, mclust, poLCA, rmarkdown
+Suggests: invgamma, klaR, knitr, mclust, poLCA, rmarkdown
 License: GPL-2
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-06-10 19:11:46 UTC; gruen
+Packaged: 2025-01-23 11:20:22 UTC; gruen
 Author: Gertraud Malsiner-Walli [aut, cre]
     (<https://orcid.org/0000-0002-1213-4749>),
   Bettina Grün [aut] (<https://orcid.org/0000-0001-7265-4773>),
@@ -26,4 +26,4 @@
     (<https://orcid.org/0000-0003-0516-5552>)
 Maintainer: Gertraud Malsiner-Walli <Gertraud.Malsiner-Walli@wu.ac.at>
 Repository: CRAN
-Date/Publication: 2024-06-15 09:00:02 UTC
+Date/Publication: 2025-01-23 13:50:06 UTC

## telescope 0.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: telescope
-Version: 0.2-0
+Version: 0.2-1
 Encoding: UTF-8
 Title: Bayesian Mixtures with an Unknown Number of Components
 Authors@R: c(person("Gertraud", "Malsiner-Walli", role = c("aut", "cre"),
@@ -18,12 +18,12 @@
 License: GPL-2
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-01-23 11:20:22 UTC; gruen
-Author: Gertraud Malsiner-Walli [aut, cre]
-    (<https://orcid.org/0000-0002-1213-4749>),
-  Bettina Grün [aut] (<https://orcid.org/0000-0001-7265-4773>),
-  Sylvia Frühwirth-Schnatter [aut]
-    (<https://orcid.org/0000-0003-0516-5552>)
+Packaged: 2025-08-18 00:15:57 UTC; gruen
+Author: Gertraud Malsiner-Walli [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-1213-4749>),
+  Bettina Grün [aut] (ORCID: <https://orcid.org/0000-0001-7265-4773>),
+  Sylvia Frühwirth-Schnatter [aut] (ORCID:
+    <https://orcid.org/0000-0003-0516-5552>)
 Maintainer: Gertraud Malsiner-Walli <Gertraud.Malsiner-Walli@wu.ac.at>
 Repository: CRAN
-Date/Publication: 2025-01-23 13:50:06 UTC
+Date/Publication: 2025-08-18 10:30:08 UTC

## telescope 0.2.1

=== debian/changelog ===
telescope (0.2.1) unstable; urgency=low

  * Fixed bug with black background

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  17 Apr 2010 17:00:00 +0300

telescope (0.2) unstable; urgency=low

  * New decoration for window previews

  * Some bugs fixed

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  16 Apr 2010 22:25:00 +0300

telescope (0.1.1) unstable; urgency=low

  * Automated install scripts

  * Headers for window previews

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  12 Apr 2010 23:55:00 +0300

telescope (0.1) unstable; urgency=low

  * Initial version

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  06 Apr 2010 08:40:00 +0300

## telescope 0.2.2

=== debian/changelog ===
telescope (0.2.2) unstable; urgency=low

  * Fixed loading background with non-ASCII chars in filename

  * Telescope now obeys CachedAs= field in hildon's home-background.conf

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  19 Apr 2010 22:25:00 +0300

## telescope 0.2.3

=== debian/changelog ===
telescope (0.2.3) unstable; urgency=low

  * Fixed bugs with wallpaper loading

  * Support for wallpapers greater than screen

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  21 Apr 2010 20:50:00 +0300

=== debian/control ===
Source: telescope
Section: user/accessories
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libxcomposite-dev, libxdamage-dev, libx11-dev, libimlib2-dev, libxext-dev, libxrender-dev, libxft-dev
Standards-Version: 2.0

Package: telescope
Section: user/accessories
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative task switcher with thumbnails

## telescope 0.2.4

=== debian/changelog ===
telescope (0.2.4) unstable; urgency=low

  * Fixed empty thumbnails bug (#5552)

  * Thumbnail made smaller then it is only one (#5631)

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  28 Apr 2010 10:40:00 +0300

=== debian/control ===
--- 
+++ 
@@ -10,3 +10,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
+XB-Maemo-Display-Name: Telescope
+XB-Maemo-Upgrade-Description: Fixed bug with empty thumbnails (#5552)
+ Thumbnail made smaller when it is only one (#5631)

## telescope 0.2.5

=== Makefile ===
all: telescope

#DEFINES = -DKDE
DEFINES = -DMAEMO

SOURCES = TeleWindow.cpp Main.cpp XTools.cpp Thumbnail.cpp Settings.cpp

DEPS = x11 xcomposite xdamage xrender imlib2 xft

SHAREFILES = header-left.png header-right.png header-middle.png

CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)`


OBJS = $(SOURCES:%.cpp=%.o)

telescope: $(OBJS)
	g++ `pkg-config --libs $(DEPS)` $^ -o $@

.cpp.o:
	g++ -c $(CFLAGS) $< -o $@


depend: $(SOURCES)
	g++ -M -MM -MG -MP $(CFLAGS) $(SOURCES) >$@


include depend


clean:
	rm -f *.o telescope depend *~


install: telescope telescope-svc $(SHAREFILES)
	cp telescope $(DESTDIR)/usr/bin/
	cp telescope-svc $(DESTDIR)/etc/init.d/
	mkdir -p $(DESTDIR)/usr/share/telescope
	cp $(SHAREFILES) $(DESTDIR)/usr/share/telescope/

=== debian/changelog ===
telescope (0.2.5) unstable; urgency=low

  * Section of package changed to `utilities' to match Fremantle's guidelines

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  28 Apr 2010 13:50:00 +0300

=== debian/control ===
Source: telescope
Section: user/utilities
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libxcomposite-dev, libxdamage-dev, libx11-dev, libimlib2-dev, libxext-dev, libxrender-dev, libxft-dev
Standards-Version: 2.0

Package: telescope
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative task switcher with thumbnails
XB-Maemo-Display-Name: Telescope
XB-Maemo-Upgrade-Description: Section of package changed to `utilities'

## telescope 0.2.6

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,19 @@
 #DEFINES = -DKDE
 DEFINES = -DMAEMO
 
-SOURCES = TeleWindow.cpp Main.cpp XTools.cpp Thumbnail.cpp Settings.cpp
+SOURCES = TeleWindow.cpp    \
+          Main.cpp          \
+          XTools.cpp        \
+          Thumbnail.cpp     \
+          Settings.cpp      \
+          Mapping.cpp       \
+          Mappings.cpp
 
 DEPS = x11 xcomposite xdamage xrender imlib2 xft
 
 SHAREFILES = header-left.png header-right.png header-middle.png
+
+CONFFILES = telescope.conf telescope.keys
 
 CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)`
 
@@ -32,8 +40,9 @@
 	rm -f *.o telescope depend *~
 
 
-install: telescope telescope-svc $(SHAREFILES)
+install: telescope telescope-svc $(SHAREFILES) $(CONFFILES)
 	cp telescope $(DESTDIR)/usr/bin/
 	cp telescope-svc $(DESTDIR)/etc/init.d/
 	mkdir -p $(DESTDIR)/usr/share/telescope
 	cp $(SHAREFILES) $(DESTDIR)/usr/share/telescope/
+	cp $(CONFFILES) $(DESTDIR)/etc/

=== debian/changelog ===
telescope (0.2.6) unstable; urgency=low

  * Support for mapping actions on hardware keys, configurable with /etc/telescope.keys

  * Windows now can be selected with hardware keys

  * New design of window decorators

  * Telescope now works fine in portrait mode and independant of screen resolution

  * Large code refactoring (but less than neccessary :( )

  * Minor bugfixes

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  12 May 2010 10:25:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Section of package changed to `utilities'
+XB-Maemo-Upgrade-Description: Portrait mode, key bindings, updated style, bugfixes

## telescope 0.2.7

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,12 @@
 
 DEPS = x11 xcomposite xdamage xrender imlib2 xft
 
-SHAREFILES = header-left.png header-right.png header-middle.png
+SHAREFILES = header-left.png    \
+             header-right.png   \
+             header-middle.png  \
+             header-left-selected.png   \
+             header-right-selected.png  \
+             header-middle-selected.png
 
 CONFFILES = telescope.conf telescope.keys

=== debian/changelog ===
telescope (0.2.7) unstable; urgency=low

  * Fixed handling of non-conformant windows, for example, SDL games

 -- Ilya Skriblovsky <Ilya.Skriblovsky>  31 May 2010 16:00:00 +0300

telescope (0.2.6.2) unstable; urgency=low

  * Fixed #5779 "Window titles are not displaying sometimes"

  * Fixed #5786 "Window previews are sometimes invalid"

  * Fixed #5784 "Active window is not highlighted sometimes"

 -- Ilya Skriblovsky <Ilya.Skriblovsky>  22 May 2010 22:40:00 +0300

telescope (0.2.6.1) unstable; urgency=low

  * Several files was lost from installation, sorry

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  12 May 2010 16:35:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Portrait mode, key bindings, updated style, bugfixes
+XB-Maemo-Upgrade-Description: Handling of SDL applications

## telescope 0.2.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,16 @@
+##
+## Telescope - graphical task switcher
+##
+## (c) Ilya Skriblovsky, 2010
+## <Ilya.Skriblovsky@gmail.com>
+##
+
+## $Id: Makefile 95 2010-06-14 08:57:20Z mitrandir $
+
 all: telescope
 
 #DEFINES = -DKDE
-DEFINES = -DMAEMO
+DEFINES = -DMAEMO4
 
 SOURCES = TeleWindow.cpp    \
           Main.cpp          \
@@ -9,7 +18,8 @@
           Thumbnail.cpp     \
           Settings.cpp      \
           Mapping.cpp       \
-          Mappings.cpp
+          Mappings.cpp      \
+          Resources.cpp 
 
 DEPS = x11 xcomposite xdamage xrender imlib2 xft

=== debian/changelog ===
telescope (0.2.8) unstable; urgency=low

  * Huge code refactoring without visible changes for user

  * show.desktop.thumbnail and show.desktop.iconify config options
    for Xlab

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  29 Jun 2010 17:30:00 +0300

telescope (0.2.7.3) unstable; urgency=low

  * Another fix for osso mediaplayer

  * Keybindings are loaded at first use (hack for maemo)

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  07 Jun 2010 16:55:00 +0300

telescope (0.2.7.2) unstable; urgency=low

  * Fix for osso mediaplayer

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  02 Jun 2010 17:15:00 +0300

telescope (0.2.7.1) unstable; urgency=low

  * Fixed #5771 "Telescope does not works with plain color backgrounds"

  * 'selection.disabled' option for disabling all window selection stuff

 -- Ilya Skriblovsky <Ilya.Skriblovsky>  01 Jun 2010 09:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Handling of SDL applications
+XB-Maemo-Upgrade-Description: Internal improvements

## telescope 0.2.8.1

=== debian/changelog ===
telescope (0.2.8.1) unstable; urgency=low

  * Telescope activating key can be changed via telescope.conf

  * Little change in how Telescope grabs its activating key

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  06 Jul 2010 14:55:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Internal improvements
+XB-Maemo-Upgrade-Description: Little change in how Telescope grabs its activation key

## telescope 1.0

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 ## <Ilya.Skriblovsky@gmail.com>
 ##
 
-## $Id: Makefile 95 2010-06-14 08:57:20Z mitrandir $
+## $Id: Makefile 108 2010-07-07 13:23:53Z mitrandir $
 
 all: telescope
 
 #DEFINES = -DKDE
-DEFINES = -DMAEMO4
+DEFINES = -DMAEMO4 -DDBUS
 
 SOURCES = TeleWindow.cpp    \
           Main.cpp          \
@@ -19,9 +19,10 @@
           Settings.cpp      \
           Mapping.cpp       \
           Mappings.cpp      \
-          Resources.cpp 
+          Resources.cpp     \
+          DBus.cpp
 
-DEPS = x11 xcomposite xdamage xrender imlib2 xft
+DEPS = x11 xcomposite xdamage xrender imlib2 xft dbus-1
 
 SHAREFILES = header-left.png    \
              header-right.png   \
@@ -32,13 +33,13 @@
 
 CONFFILES = telescope.conf telescope.keys
 
-CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)`
+CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)` -pthread
 
 
 OBJS = $(SOURCES:%.cpp=%.o)
 
 telescope: $(OBJS)
-	g++ `pkg-config --libs $(DEPS)` $^ -o $@
+	g++ `pkg-config --libs $(DEPS)` -pthread $^ -o $@
 
 .cpp.o:
 	g++ -c $(CFLAGS) $< -o $@

=== debian/changelog ===
telescope (1.0) stable; urgency=low

  * The copy of 0.2.9

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  14 Jul 2010 13:55:00 +0300

telescope (0.2.9) unstable; urgency=low

  * D-Bus support. Telescope now can be called by calling org.telescope bus
    with path /Telescope and method org.telescope.Telescope.Show (and Hide)

  * Workaround for liqbase apps. They will be iconified before showing
    Telescope

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  09 Jul 2010 15:50:00 +0300

=== debian/control ===
Source: telescope
Section: user/utilities
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libxcomposite-dev, libxdamage-dev, libx11-dev, libimlib2-dev, libxext-dev, libxrender-dev, libxft-dev, libdbus-1-dev
Standards-Version: 2.0

Package: telescope
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative task switcher with thumbnails
XB-Maemo-Display-Name: Telescope

## telescope 1.0.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ## <Ilya.Skriblovsky@gmail.com>
 ##
 
-## $Id: Makefile 108 2010-07-07 13:23:53Z mitrandir $
+## $Id: Makefile 118 2010-07-14 19:39:00Z mitrandir $
 
 all: telescope
 
@@ -29,7 +29,8 @@
              header-middle.png  \
              header-left-selected.png   \
              header-right-selected.png  \
-             header-middle-selected.png
+             header-middle-selected.png \
+             install-notice.txt
 
 CONFFILES = telescope.conf telescope.keys

=== debian/changelog ===
telescope (1.0.1) stable; urgency=low

  * Added install notice about Home key

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  14 Jul 2010 23:35:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
+XB-Maemo-Upgrade-Description: Added notice about Home key during installation

## telescope 1.0.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ## <Ilya.Skriblovsky@gmail.com>
 ##
 
-## $Id: Makefile 118 2010-07-14 19:39:00Z mitrandir $
+## $Id: Makefile 124 2010-07-27 11:27:25Z mitrandir $
 
 all: telescope
 
@@ -30,6 +30,7 @@
              header-left-selected.png   \
              header-right-selected.png  \
              header-middle-selected.png \
+             broken-pattern.png         \
              install-notice.txt
 
 CONFFILES = telescope.conf telescope.keys

=== debian/changelog ===
telescope (1.0.2) unstable; urgency=low

  * In rare cases when telescope is unable to grab a screenshot, it will draw gray checkers instead of it

  * Now telescope can not be called when no windows opened (strange, but some users don't like to see their nice wallpapers)

  * XTools now can extract window's icon from _NET_WM_ICON propery, but this functionality is not used

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  27 Jul 2010 15:22:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Added notice about Home key during installation
+XB-Maemo-Upgrade-Description: Small improvements

## telescope 1.0.3

=== debian/changelog ===
telescope (1.0.3) unstable; urgency=low

  * Fix with screen rotation

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  27 Jul 2010 21:20:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Small improvements
+XB-Maemo-Upgrade-Description: Fix for bug with screen rotation

## telescope 2.0~rc1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ## <Ilya.Skriblovsky@gmail.com>
 ##
 
-## $Id: Makefile 124 2010-07-27 11:27:25Z mitrandir $
+## $Id: Makefile 137 2010-07-31 20:01:18Z mitrandir $
 
 all: telescope
 
@@ -20,9 +20,16 @@
           Mapping.cpp       \
           Mappings.cpp      \
           Resources.cpp     \
-          DBus.cpp
+          DBus.cpp          \
+          MenuReader.cpp    \
+          LauncherWindow.cpp\
+          SectionList.cpp   \
+          Section.cpp       \
+          Application.cpp   \
+          XEventLoop.cpp
 
-DEPS = x11 xcomposite xdamage xrender imlib2 xft dbus-1
+
+DEPS = x11 xcomposite xdamage xrender imlib2 xft dbus-1 glib-2.0
 
 SHAREFILES = header-left.png    \
              header-right.png   \
@@ -31,7 +38,11 @@
              header-right-selected.png  \
              header-middle-selected.png \
              broken-pattern.png         \
-             install-notice.txt
+             install-notice.txt         \
+             text-background.png        \
+             indicator.png              \
+             navigation.png             \
+             transparent.png
 
 CONFFILES = telescope.conf telescope.keys

=== debian/changelog ===
telescope (2.0~rc1) unstable; urgency=low

  * Telescope merged with Launcher from Andry Gunawan

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  07 Aug 2010 23:08:00 +0300

=== debian/control ===
Source: telescope
Section: user/utilities
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libxcomposite-dev, libxdamage-dev, libx11-dev, libimlib2-dev, libxext-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libglib2.0-dev
Standards-Version: 2.0

Package: telescope
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative app launcher and task switcher with thumbnails
XB-Maemo-Display-Name: Telescope
XB-Maemo-Upgrade-Description: Now with Application Launcher!

## telescope 2.0~rc5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ## <Ilya.Skriblovsky@gmail.com>
 ##
 
-## $Id: Makefile 137 2010-07-31 20:01:18Z mitrandir $
+## $Id: Makefile 153 2010-10-01 12:33:08Z mitrandir $
 
 all: telescope
 
@@ -47,6 +47,7 @@
 CONFFILES = telescope.conf telescope.keys
 
 CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)` -pthread
+# CFLAGS += -Wall -Werror -g $(DEFINES) `pkg-config --cflags $(DEPS)` -pthread
 
 
 OBJS = $(SOURCES:%.cpp=%.o)

=== debian/changelog ===
telescope (2.0~rc5) unstable; urgency=low

  * Sections now draw itself on the fly without creating offscreen pixmap for each section. Instead, offscreen pixmaps are created for every icon.

  * Portrait mode support for Launcher

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail>  1 Oct 2010 16:16:00 +0400

telescope (2.0~rc4) unstable; urgency=low

  * Fixed bug: When SystemUI is disabled Launcher window doesn't hides properly

  * Reduced flickering while switching between Telescope and Launcher with hot key

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  17 Sep 2010 11:33:00 +0300

telescope (2.0~rc3) unstable; urgency=low

  * launcher.disable option in telescope.conf for disabling app launcher

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  11 Sep 2010 13:08:00 +0300

telescope (2.0~rc2) unstable; urgency=low

  * XftFontMatch & XftDestroyPattern replaced with XftFontOpen, fixing some strange segfaults

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  09 Aug 2010 15:19:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative app launcher and task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Now with Application Launcher!
+XB-Maemo-Upgrade-Description: Portrait mode support, other optimizations

## telescope 2.0~rc6

=== debian/changelog ===
telescope (2.0~rc6) unstable; urgency=low

  * Fixed synchronization of DBus and Xlib threads. Now DBus thread doesn't show windows by itself, but sends ClientMessage to X thread instead

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  8 Oct 2010 13:56:00 +0400

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Alternative app launcher and task switcher with thumbnails
 XB-Maemo-Display-Name: Telescope
-XB-Maemo-Upgrade-Description: Portrait mode support, other optimizations
+XB-Maemo-Upgrade-Description: Fixed interaction with statusbar applet

## telescope 2.0~rc15

=== Makefile ===
##
## Telescope - graphical task switcher
##
## (c) Ilya Skriblovsky, 2010
## <Ilya.Skriblovsky@gmail.com>
##

## $Id: Makefile 177 2011-03-01 11:38:13Z mitrandir $

all: telescope

#DEFINES = -DDESKTOP -DDBUS
#DEFINES = -DMAEMO_COMMON -DMAEMO5 -DDBUS
DEFINES = -DMAEMO_COMMON -DMAEMO4 -DDBUS

LAUNCHER = 1

SOURCES = TeleWindow.cpp    \
          Main.cpp          \
          XTools.cpp        \
          Thumbnail.cpp     \
          Settings.cpp      \
          Mapping.cpp       \
          Mappings.cpp      \
          Resources.cpp     \
          DBus.cpp          \
          XEventLoop.cpp    \
          Image.cpp


ifeq ($(LAUNCHER),1)
    DEFINES += -DLAUNCHER

    SOURCES += \
        MenuReader.cpp       \
        LauncherWindow.cpp   \
        SectionList.cpp      \
        Section.cpp          \
        Application.cpp

    SHAREFILES += \
         text-background.png        \
         indicator.png              \
         navigation.png             \
         transparent.png            \
         panel-icons/panel.png      \
         panel-icons/panel-focus-left.png   \
         panel-icons/panel-focus-right.png  \
         panel-icons/panel-focus-middle.png \
         category-icons
endif


DEPS = x11 xcomposite xdamage xrender imlib2 xft dbus-1 glib-2.0

SHAREFILES += header-left.png    \
              header-right.png   \
              header-middle.png  \
              header-left-selected.png   \
              header-right-selected.png  \
              header-middle-selected.png \
              broken-pattern.png         \
              install-notice.txt

CONFFILES = telescope.conf telescope.keys

CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)` -pthread
# CFLAGS += -Wall -Werror -g $(DEFINES) `pkg-config --cflags $(DEPS)` -pthread


OBJS = $(SOURCES:%.cpp=%.o)

telescope: $(OBJS)
	g++ -pthread $^ -o $@ `pkg-config --libs $(DEPS)`

.cpp.o:
	g++ -c $(CFLAGS) $< -o $@


depend: $(SOURCES)
	g++ -M -MM -MG -MP $(CFLAGS) $(SOURCES) >$@


include depend


clean:
	rm -f *.o telescope depend *~


install: telescope telescope-svc $(SHAREFILES) $(CONFFILES)
	cp telescope $(DESTDIR)/usr/bin/
	cp telescope-svc $(DESTDIR)/etc/init.d/
	mkdir -p $(DESTDIR)/usr/share/telescope
	cp -r $(SHAREFILES) $(DESTDIR)/usr/share/telescope/
	cp $(CONFFILES) $(DESTDIR)/etc/

=== applet/Makefile ===
DEPS = gtk+-2.0 libhildondesktop hildon-1 dbus-1

DEFINES =

SOURCES = TelescopeApplet.cpp 

CFLAGS += -Wall -Werror -O2 $(DEFINES) `pkg-config --cflags $(DEPS)`


.c.o:
	gcc -c $(CFLAGS) $< -o $@



all: libtelescopeapplet.so liblaunchersbapplet.so liblaunchertnapplet.so


libtelescopeapplet.so: TelescopeApplet.o
	gcc $^ -o $@ -shared `pkg-config --libs $(DEPS)`

liblaunchersbapplet.so: LauncherStatusBarApplet.o
	gcc $^ -o $@ -shared `pkg-config --libs $(DEPS)`

liblaunchertnapplet.so: LauncherTaskNavigatorApplet.o
	gcc $^ -o $@ -shared `pkg-config --libs $(DEPS)`

clean:
	rm -rf libtelescopeapplet.so liblaunchersbapplet.so liblaunchertnapplet.so *.o *~

install: libtelescopeapplet.so liblaunchersbapplet.so liblaunchertnapplet.so
	cp libtelescopeapplet.so $(DESTDIR)/usr/lib/hildon-desktop/
	cp liblaunchersbapplet.so $(DESTDIR)/usr/lib/hildon-desktop/
	cp liblaunchertnapplet.so $(DESTDIR)/usr/lib/hildon-desktop/
	cp TelescopeApplet.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	cp launcher-statusbar.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	cp launcher-navigator.desktop $(DESTDIR)/usr/share/applications/hildon-navigator/
	cp telescope-applet.png $(DESTDIR)/usr/share/telescope-applet/
	cp telescope-applet-pressed.png $(DESTDIR)/usr/share/telescope-applet/

=== applet/debian/changelog ===
telescope-applet (0.2.1) unstable; urgency=low

  * Minor fixed

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  14 Oct 2010 14:20:00 +0400

telescope-applet (0.2) unstable; urgency=low

  * Added statusbar & navigator applets for Launcher

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  18 Aug 2010 08:40:00 +0300

telescope-applet (0.1) unstable; urgency=low

  * Initial build of telescope-applet

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  27 Jul 2010 12:20:00 +0300

=== debian/changelog ===
telescope (2.0~rc15) unstable; urgency=low

  * Works on N900
  * Launcher for DESKTOP-target
  * Mimics Maemo5 PR1.3 (scrolling)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  20 Sep 2012 15:55:00 +0200

telescope (2.0~rc14) unstable; urgency=low

  * Fixed bug: Telescope may crash when .desktop file changed

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  28 Jun 2011 23:50:00 +0300

telescope (2.0~rc13) unstable; urgency=low

  * Fixed bug with empty applications.menu

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  27 Jun 2011 22:20:00 +0300

telescope (2.0~rc12) unstable; urgency=low

  * Fixed bug that made telescope crashing if ~/.osso/menus/applications.menu is missing. Now /etc/xdg/menus/applications.menu will be used in this case.

  * New icon from Kroll!

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  25 Apr 2011 16:39:00 +0300

telescope (2.0~rc11) unstable; urgency=low

  * Now user can select icons for categories using longtap

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  1 Mar 2011 14:36:00 +0300

telescope (2.0~rc10) unstable; urgency=low

  * Fixed Launcher panel in portrait mode

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  26 Feb 2011 14:52:00 +0300

telescope (2.0~rc9) unstable; urgency=low

  * Internal refactoring of image handling code

  * New appearance of bottom bar in Launcher

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  25 Feb 2011 11:57:00 +0300

telescope (2.0~rc8) unstable; urgency=low

  * Left-right buttons in Launcher were replaced by bottom bar with buttons for each section

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  23 Feb 2011 22:05:00 +0300

telescope (2.0~rc7) unstable; urgency=low

  * Fixed zombie processes

  * Added globalpress keymapping event

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  22 Feb 2011 23:07:00 +0300

=== applet/debian/control ===
Source: telescope-applet
Section: user/utilities
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libdbus-1-dev, libosso-dev
Standards-Version: 2.0

Package: telescope-applet
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, telescope
Description: Statusbar and navigator applets for calling Telescope
XB-Maemo-Display-Name: Telescope Statusbar Applet
XB-Maemo-Upgrade-Description: Minor fixes

=== debian/control ===
Source: telescope
Section: user/utilities
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libxcomposite-dev, libxdamage-dev, libx11-dev, libimlib2-dev, libxext-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libglib2.0-dev
Standards-Version: 2.0
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: telescope
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative app launcher and task switcher with thumbnails
XB-Maemo-Display-Name: Telescope
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAGXRFWHRTb2Z0d2Fy
 ZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAyBpVFh0WE1MOmNvbS5hZG9iZS54bXAA
 AAAAADw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5U
 Y3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6
 eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuMC1jMDYwIDYxLjEzNDc3NywgMjAxMC8w
 Mi8xMi0xNzozMjowMCAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRw
 Oi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpE
 ZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wPSJodHRwOi8vbnMuYWRv
 YmUuY29tL3hhcC8xLjAvIiB4bWxuczp4bXBNTT0iaHR0cDovL25zLmFkb2JlLmNv
 bS94YXAvMS4wL21tLyIgeG1sbnM6c3RSZWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20v
 eGFwLzEuMC9zVHlwZS9SZXNvdXJjZVJlZiMiIHhtcDpDcmVhdG9yVG9vbD0iQWRv
 YmUgUGhvdG9zaG9wIENTNSBXaW5kb3dzIiB4bXBNTTpJbnN0YW5jZUlEPSJ4bXAu
 aWlkOjhGQTdDM0E5NjEyMTExRTA4MDQxRTNFOEYwMkUwODBFIiB4bXBNTTpEb2N1
 bWVudElEPSJ4bXAuZGlkOjhGQTdDM0FBNjEyMTExRTA4MDQxRTNFOEYwMkUwODBF
 Ij4gPHhtcE1NOkRlcml2ZWRGcm9tIHN0UmVmOmluc3RhbmNlSUQ9InhtcC5paWQ6
 OEZBN0MzQTc2MTIxMTFFMDgwNDFFM0U4RjAyRTA4MEUiIHN0UmVmOmRvY3VtZW50
 SUQ9InhtcC5kaWQ6OEZBN0MzQTg2MTIxMTFFMDgwNDFFM0U4RjAyRTA4MEUiLz4g
 PC9yZGY6RGVzY3JpcHRpb24+IDwvcmRmOlJERj4gPC94OnhtcG1ldGE+IDw/eHBh
 Y2tldCBlbmQ9InIiPz4KQ6z6AAADX0lEQVR42uxW3U4TQRT+5mfbAi0ULIKkUq0G
 5Td6pQkk3miiMT6Az+A7GHwHeQIvfAp/otELY+KFRvAXFbEFiixtKdt2dsYz262g
 tMiVF8ZNprNnz8z5zv8pM8bgbzwcf+n594Bk7OzMbdpvWCJSclGnvVqtQ+xSgTMG
 HYTSgFuG1mBE+5YnJLSv4Gvi8sYZSfqrzCg6t9ZRGcggmlucYxg5Y2YSAopxCFhp
 bI/RhvkkuMlj8GkTIW3BHHvvpzLBDZLF8PD6TUzfvYX5jQoYz46bqaiGInXK5VIo
 XAfHVbCHpgd0KIgzSFJMGR1aQL/h0WYOfzo+jonCEl6lT6LrzUvSJn3SMGYdgT2r
 +Z214B10cc5NPHXEyHbBYz/jw+mdYYo5wW7Iyj76/oKi6ZIZ+gBlaI2Vqg0ziAD9
 XIuO4QTvQBzRII7SVJFTJQwijxWU8ECRgylef8KT+zEjXOBy6ig+lzqx0NkBkexB
 qraNipvHI7eKb6aIfkqCOK2P2tpq2vpnX6AaucbrZGRLDMnho6hMDmMj4eDE6ibi
 TwZx78tzfPDfYB01HKYEWQ3AWjtPyERy1lD9tHPg26KLC31ZFFMDOHbpDK5emUZm
 ehLJvjgmygLxtRqW/E2s62pQby27QkcXlUN3chZtgQBXb+M1gY2JIchMCqfOncJo
 th85R6JU3MLUmkJaO3jmLcMnD7DfKpEyF06MgJDonWVlt2XWiUBDg01TwpdiEQMF
 iSRVq7vt4eXyKubzLnppZf06umpVLKpNVHfFyYLYQmYE9EuMpIzC92s7nqVskqE7
 cuod7rz2sDb3HVMjGRR6uillDRKcw/c0YiyKjBB4pXZSwo4g604RZJ3aCZ8FsUwW
 CrcXbItJE11mNqTLuF94jKfr75Hm/Rju6EEhQufIkq81FwvaDyzgzWq1aU9LGZ+A
 dH0n9OEQ3A1mrVqyNL1nSPvzooxuZwXKL4NXHbzwPDxReRThNeqpRU01euihdNsW
 tKcdsaBBm9PUVi5Kx5DbDnRPJg9RCxLiQPOkaa119AKNCbvYfoOOrG96JmYTIpIZ
 NUNDg5A0UOKkbowUqZGICu1FWhE6lCCvC8KpE21Hgo2BzS4P1kge5KhVQ4WqSKId
 3VBDkdGlQsGOmf9/Tv4DNZ4fAgwAAJSfSkyAM3oAAAAASUVORK5CYII=

=== applet/debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/telescope-applet install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make -f Makefile_n900 clean

	dh_clean


build:
	dh_testdir

	make -f Makefile_n900


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make -f Makefile_n900 DESTDIR=$(CURDIR)/debian/telescope install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

## telescope distance-0.0.2

=== requirements.txt ===
numpy~=1.22.2
sklearn~=0.0
scikit-learn~=1.0.2
scipy~=1.8.0
setuptools~=47.1.0

## telescope distance-0.0.3

=== requirements.txt ===
numpy~=1.22.3
sklearn~=0.0
scikit-learn~=1.0.2
scipy~=1.8.0
setuptools~=47.1.0
kmedoids~=0.3.1
PyChest~=1.22

## telescope distance-0.0.4

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-numpy~=1.22.3
+numpy>=1.18
 sklearn~=0.0
 scikit-learn~=1.0.2
 scipy~=1.8.0

## telescope distance-0.0.5

=== requirements.txt ===
numpy>=1.18
sklearn~=0.0
scikit-learn
scipy
setuptools~=47.1.0
kmedoids
PyChest~=1.22
